package org.openxma.dsl.reference.incrementer;

import org.springframework.dao.DataAccessException;
import org.springframework.jdbc.support.incrementer.DataFieldMaxValueIncrementer;

/**
 * Used to test custom incrementer qualifiers
 */
public class TimeStampIncrementer implements DataFieldMaxValueIncrementer {

	public int nextIntValue() throws DataAccessException {
		throw new IllegalStateException("not support");
	}

	public long nextLongValue() throws DataAccessException {
		return System.nanoTime();
	}

	public String nextStringValue() throws DataAccessException {
		throw new IllegalStateException("not support");
	}

}
