package org.openxma.dsl.reference.dto;

import java.io.Serializable;
import java.util.Date;
import org.openxma.dsl.reference.types.valueobject.ProductId;

public abstract class CertificateViewGen implements Serializable {
	private static final long serialVersionUID = 1999497900;
	protected String oid;
	protected Date version;
	protected String certificateDescription;
	protected ProductId productOid;
	
	public String getOid() {
        return this.oid;
    }
	
	public void setOid(String oid) {
        this.oid=oid;
    }
	
	public Date getVersion() {
        return this.version;
    }
	
	public void setVersion(Date version) {
        this.version=version;
    }
	
	public String getCertificateDescription() {
        return this.certificateDescription;
    }
	
	public void setCertificateDescription(String certificateDescription) {
        this.certificateDescription=certificateDescription;
    }
	
	public ProductId getProductOid() {
        return this.productOid;
    }
	
	public void setProductOid(ProductId productOid) {
        this.productOid=productOid;
    }
	
    
    @Override
    public String toString() {
    	StringBuilder toStringBuilder = new StringBuilder("CertificateView [");
        toStringBuilder.append("oid=").append(getOid()).append(",");
        toStringBuilder.append("version=").append(getVersion()).append(",");
        toStringBuilder.append("certificateDescription=").append(getCertificateDescription()).append(",");
        toStringBuilder.append("productOid=").append(getProductOid());
        return toStringBuilder.append("]").toString();
    }
}
