package org.openxma.dsl.reference.dto;

import java.io.Serializable;
import org.openxma.dsl.reference.dto.CustomerIdDto;
import org.openxma.dsl.reference.types.valueobject.OrderNumber;

public abstract class CustomerOrderReportDtoGen extends CustomerIdDto implements Serializable {
	private static final long serialVersionUID = -775470563;
	protected String firstName;
	protected String lastName;
	protected String emailAddress;
	protected String city;
	protected String streetName;
	protected String streetNumber;
	protected String billingCountry;
	protected String deliveryCountry;
	protected OrderNumber orderNumber;
	protected String orderState;
	protected Double totalAmount;
	protected Long quantity;
	protected String name;
	protected String fileName;
	
	public String getFirstName() {
        return this.firstName;
    }
	
	public void setFirstName(String firstName) {
        this.firstName=firstName;
    }
	
	public String getLastName() {
        return this.lastName;
    }
	
	public void setLastName(String lastName) {
        this.lastName=lastName;
    }
	
	public String getEmailAddress() {
        return this.emailAddress;
    }
	
	public void setEmailAddress(String emailAddress) {
        this.emailAddress=emailAddress;
    }
	
	public String getCity() {
        return this.city;
    }
	
	public void setCity(String city) {
        this.city=city;
    }
	
	public String getStreetName() {
        return this.streetName;
    }
	
	public void setStreetName(String streetName) {
        this.streetName=streetName;
    }
	
	public String getStreetNumber() {
        return this.streetNumber;
    }
	
	public void setStreetNumber(String streetNumber) {
        this.streetNumber=streetNumber;
    }
	
	public String getBillingCountry() {
        return this.billingCountry;
    }
	
	public void setBillingCountry(String billingCountry) {
        this.billingCountry=billingCountry;
    }
	
	public String getDeliveryCountry() {
        return this.deliveryCountry;
    }
	
	public void setDeliveryCountry(String deliveryCountry) {
        this.deliveryCountry=deliveryCountry;
    }
	
	public OrderNumber getOrderNumber() {
        return this.orderNumber;
    }
	
	public void setOrderNumber(OrderNumber orderNumber) {
        this.orderNumber=orderNumber;
    }
	
	public String getOrderState() {
        return this.orderState;
    }
	
	public void setOrderState(String orderState) {
        this.orderState=orderState;
    }
	
	public Double getTotalAmount() {
        return this.totalAmount;
    }
	
	public void setTotalAmount(Double totalAmount) {
        this.totalAmount=totalAmount;
    }
	
	public Long getQuantity() {
        return this.quantity;
    }
	
	public void setQuantity(Long quantity) {
        this.quantity=quantity;
    }
	
	public String getName() {
        return this.name;
    }
	
	public void setName(String name) {
        this.name=name;
    }
	
	public String getFileName() {
        return this.fileName;
    }
	
	public void setFileName(String fileName) {
        this.fileName=fileName;
    }
	
    
    @Override
    public String toString() {
    	StringBuilder toStringBuilder = new StringBuilder("CustomerOrderReportDto [");
    	toStringBuilder.append(super.toString()).append(",");
        toStringBuilder.append("firstName=").append(getFirstName()).append(",");
        toStringBuilder.append("lastName=").append(getLastName()).append(",");
        toStringBuilder.append("emailAddress=").append(getEmailAddress()).append(",");
        toStringBuilder.append("city=").append(getCity()).append(",");
        toStringBuilder.append("streetName=").append(getStreetName()).append(",");
        toStringBuilder.append("streetNumber=").append(getStreetNumber()).append(",");
        toStringBuilder.append("billingCountry=").append(getBillingCountry()).append(",");
        toStringBuilder.append("deliveryCountry=").append(getDeliveryCountry()).append(",");
        toStringBuilder.append("orderNumber=").append(getOrderNumber()).append(",");
        toStringBuilder.append("orderState=").append(getOrderState()).append(",");
        toStringBuilder.append("totalAmount=").append(getTotalAmount()).append(",");
        toStringBuilder.append("quantity=").append(getQuantity()).append(",");
        toStringBuilder.append("name=").append(getName()).append(",");
        toStringBuilder.append("fileName=").append(getFileName());
        return toStringBuilder.append("]").toString();
    }
}
