package org.openxma.dsl.reference.dto;

import java.io.Serializable;
import org.openxma.dsl.reference.types.valueobject.ProductId;

/**
 *  Simple data view with id and name.
 */
public abstract class ProductIdViewGen implements Serializable {
	private static final long serialVersionUID = -1870120908;
	protected String productDisplayName;
	protected ProductId oid;
	
	public String getProductDisplayName() {
        return this.productDisplayName;
    }
	
	public void setProductDisplayName(String productDisplayName) {
        this.productDisplayName=productDisplayName;
    }
	
	public ProductId getOid() {
        return this.oid;
    }
	
	public void setOid(ProductId oid) {
        this.oid=oid;
    }
	
    
    @Override
    public String toString() {
    	StringBuilder toStringBuilder = new StringBuilder("ProductIdView [");
        toStringBuilder.append("productDisplayName=").append(getProductDisplayName()).append(",");
        toStringBuilder.append("oid=").append(getOid());
        return toStringBuilder.append("]").toString();
    }
}
